From ee9ab7e94e38ba6b29808feac1c6ebdb51572277 Mon Sep 17 00:00:00 2001
From: Gabriele Musco <gabmus@disroot.org>
Date: Mon, 27 Nov 2023 07:03:47 +0100
Subject: [PATCH 27/54] chore: bigger default window size

---
 lact-gui/src/app/mod.rs                       |  4 ++--
 .../root_stack/oc_page/performance_frame.rs   | 23 ++++++++++---------
 2 files changed, 14 insertions(+), 13 deletions(-)

diff --git a/lact-gui/src/app/mod.rs b/lact-gui/src/app/mod.rs
index 413d01ba..75c60a99 100644
--- a/lact-gui/src/app/mod.rs
+++ b/lact-gui/src/app/mod.rs
@@ -43,8 +43,8 @@ impl App {
         let gpu_selector = GpuSelector::new();
         let window = libadwaita::ApplicationWindow::builder()
             .title("LACT")
-            .default_width(700)
-            .default_height(820)
+            .default_width(820)
+            .default_height(750)
             .width_request(420)
             .height_request(200)
             .icon_name(APP_ID)
diff --git a/lact-gui/src/app/root_stack/oc_page/performance_frame.rs b/lact-gui/src/app/root_stack/oc_page/performance_frame.rs
index a5a29510..5723e758 100644
--- a/lact-gui/src/app/root_stack/oc_page/performance_frame.rs
+++ b/lact-gui/src/app/root_stack/oc_page/performance_frame.rs
@@ -5,7 +5,7 @@ use gtk::*;
 use lact_client::schema::amdgpu_sysfs::gpu_handle::{
     power_profile_mode::PowerProfileModesTable, PerformanceLevel,
 };
-use libadwaita::prelude::{ComboRowExt, ActionRowExt};
+use libadwaita::prelude::{ActionRowExt, ComboRowExt};
 use std::{cell::RefCell, rc::Rc, str::FromStr};
 
 #[derive(Clone)]
@@ -145,16 +145,17 @@ impl PerformanceFrame {
     fn update_from_selection(&self) {
         let mut enable_mode_control = false;
 
-        self.level_row.set_subtitle(match self.level_row.selected() {
-            0 => "Automatically adjust GPU and VRAM clocks. (Default)",
-            1 => "Always use the highest clockspeeds for GPU and VRAM.",
-            2 => "Always use the lowest clockspeeds for GPU and VRAM.",
-            3 => {
-                enable_mode_control = true;
-                "Manual performance control."
-            }
-            _ => unreachable!(),
-        });
+        self.level_row
+            .set_subtitle(match self.level_row.selected() {
+                0 => "Automatically adjust GPU and VRAM clocks. (Default)",
+                1 => "Always use the highest clockspeeds for GPU and VRAM.",
+                2 => "Always use the lowest clockspeeds for GPU and VRAM.",
+                3 => {
+                    enable_mode_control = true;
+                    "Manual performance control."
+                }
+                _ => unreachable!(),
+            });
         self.mode_row.set_sensitive(enable_mode_control);
     }
 

